/* Load this script using conditional IE comments if you need to support IE 7 and IE 6. */

window.onload = function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'Manta\'">' + entity + '</span>' + html;
	}
	var icons = {
			'ic-arrow-down' : '&#xe000;',
			'ic-arrow-left' : '&#xe001;',
			'ic-arrow-right' : '&#xe002;',
			'ic-arrow-up' : '&#xe003;',
			'ic-bank-book' : '&#xe004;',
			'ic-briefcase' : '&#xe005;',
			'ic-calendar-add' : '&#xe006;',
			'ic-calendar-multiple' : '&#xe007;',
			'ic-calendar' : '&#xe008;',
			'ic-clipboard' : '&#xe009;',
			'ic-clock' : '&#xe00a;',
			'ic-cocktail' : '&#xe00b;',
			'ic-cogs' : '&#xe00c;',
			'ic-computer' : '&#xe00d;',
			'ic-config' : '&#xe00e;',
			'ic-copy' : '&#xe00f;',
			'ic-cross' : '&#xe010;',
			'ic-database' : '&#xe011;',
			'ic-department' : '&#xe012;',
			'ic-document' : '&#xe013;',
			'ic-dollar' : '&#xe014;',
			'ic-download' : '&#xe015;',
			'ic-edit-doc' : '&#xe016;',
			'ic-email' : '&#xe017;',
			'ic-exclamation' : '&#xe018;',
			'ic-exit' : '&#xe019;',
			'ic-fax' : '&#xe01a;',
			'ic-female' : '&#xe01b;',
			'ic-fire' : '&#xe01c;',
			'ic-globe' : '&#xe01d;',
			'ic-graph' : '&#xe01e;',
			'ic-handbook' : '&#xe01f;',
			'ic-home' : '&#xe020;',
			'ic-key' : '&#xe021;',
			'ic-linkedin' : '&#xe022;',
			'ic-location' : '&#xe023;',
			'ic-male' : '&#xe024;',
			'ic-mobile' : '&#xe025;',
			'ic-padlock' : '&#xe026;',
			'ic-pencil' : '&#xe027;',
			'ic-people' : '&#xe028;',
			'ic-person-speaking' : '&#xe029;',
			'ic-person' : '&#xe02a;',
			'ic-phone' : '&#xe02b;',
			'ic-photo' : '&#xe02c;',
			'ic-pill' : '&#xe02d;',
			'ic-plus' : '&#xe02e;',
			'ic-present' : '&#xe02f;',
			'ic-refresh' : '&#xe030;',
			'ic-reports-to-x' : '&#xe031;',
			'ic-rss' : '&#xe032;',
			'ic-search' : '&#xe033;',
			'ic-speech' : '&#xe034;',
			'ic-thermometer' : '&#xe035;',
			'ic-tick' : '&#xe036;',
			'ic-twitter' : '&#xe037;',
			'ic-updown' : '&#xe038;',
			'ic-upload-doc' : '&#xe039;',
			'ic-x-reports-to' : '&#xe03a;',
			'ic-skype' : '&#xe03b;',
			'ic-camera' : '&#xe03c;',
			'ic-menu' : '&#xe03d;',
			'ic-plane' : '&#xe03e;'
		},
		els = document.getElementsByTagName('*'),
		i, attr, html, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		attr = el.getAttribute('data-icon');
		if (attr) {
			addIcon(el, attr);
		}
		c = el.className;
		c = c.match(/ic-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
};